-------
v4.2.14
-------

[jan] Officially support PHP 7.
[jan] Fix exporting multiple tags to vNote CATEGORIES (Bug #14057).


-------
v4.2.13
-------

[mjr] Fix saving sync preference when no default notepad exists (Bug #14585).
[mjr] Fix potential infinite recursion in Mnemo_Api::listBy() due to corrupt
      preference values.


-------
v4.2.12
-------

[jan] Update German translation.


-------
v4.2.11
-------

[jan] Update Portuguese translation.
[jan] Update Basque translation.
[mjr] Require Horde_Perms::DELETE for including a notebook as sync-able.


-------
v4.2.10
-------

[jan] Update Greek translation (Limperis Antonis <limperis@cti.gr>).


------
v4.2.9
------

[jan] Use access rules compatible with both Apache 2.2 and 2.4.
[mjr] Fix fatal error when removing notepads in certain cases.


------
v4.2.8
------

[jan] Update Italian translation.
[mjr] Remove object reference from Content when object is deleted (Bug #14112).
[mjr] Remove tags from Content when tagged object is deleted (Bug #14112).


------
v4.2.7
------

[jan] Update Italian translation.
[jan] Update Czech translation.
[mjr] Fix inconsistent handling of incoming HTML notes from ActiveSync clients
      (Bug #14045).
[mjr] Allow more reasonable length of description field to interop better with
      synchronized clients (Bug #14041).


------
v4.2.6
------

[mjr] Fix using custom SQL configuration parameters.


------
v4.2.5
------

[mjr] Fix fatal error when using Mnemo without Nag installed.


------
v4.2.4
------

[jan] Don't list notepads without SHOW permissions (Bug #13838).
[jan] Fix using custom SQL driver configuration.
[mjr] Fix truncation of body text when synchronizing over EAS when no
      truncationsize option is sent from client (Bug #13755).


------
v4.2.3
------

[jan] SECURITY: Fix permission check when editing notes (found by Christopher
      Neuhaus <cne@ruhrverband.de>).
[mms] Added ability to link to note via API.


------
v4.2.2
------

[mjr] Fix adding new notepads via the API.
[jan] Hide PDF button if Horde_Pdf_Writer is not installed (Bug #13624).
[mjr] Fix replacing tags in existing notes (Bug #13417).


------
v4.2.1
------

[mjr] Ensure default share attribute is set when auto determining a default
      share.
[mjr] Fix showing the notepad name in list view when show_notepad preference is
      set (Bug #13352).
[mjr] Add EAS client created shares to the sync_notpads preference (Bug
      #13359).
[mjr] Add missing API support for searchTags API (Bug #13361).
[mjr] Fix issue that caused notes to be tagged with a broken username.


------
v4.2.0
------

[jan] Fix error after successful import (Thomas Jarosch
      <thomas.jarosch@intra2net.com>, Bug #13272).
[jan] Fix link on edit form to delete notes (Thomas Jarosch
      <thomas.jarosch@intra2net.com>, Bug #13271).
[jan] Fix exporting tags to CSV (Thomas Jarosch <thomas.jarosch@intra2net.com>,
      Bug #13269).
[jan] Fix adding and editing notes with Kolab backend (Bug #13269).


---------
v4.2.0RC1
---------

[jan] Update Polish translation (Maciej Uhlig <maciej.uhlig@us.edu.pl>).
[jan] Update Japanese translation (Hiromi Kimura <hiromi@tac.tsukuba.ac.jp>).


------------
v4.2.0alpha1
------------

[jan] Make SQL backend compatible with Oracle.
[jan] Make shares table compatible with Oracle.
[jan] Make notepad checkbox links switches instead of toggles.
[jan] Replace categories with tags.
[jan] Convert to Horde_View.


------
v4.1.3
------

[jan] Add Korean translation (Deokgon Kim <dgkim@dgkim.net>).
[jan] Update Danish translation (Erling Preben Hansen <erling@eph.dk>).
[mjr] Fix unencrypting and saving a previously encrypted note (Bug #12890).
[mjr] Fix fatal error when exporting encrypted notes via ActiveSync.
[mjr] Fix saving note after saving failed due to mismatched passwords (Bug
      #12855).


------
v4.1.2
------

[jan] SECURITY: Fix XSS vulnerabilities when deleting notepads.
[mjr] Fix removing a list of UIDs via the API (Bug #12790,
      thomas.jarosch@intra2net.com)
[mjr] Fix exporting memos as v-note (horde@albasoft.com, Bug #12622).


------
v4.1.1
------

[mjr] Add API methods for using history modification sequences.


------
v4.1.0
------

[jan] Fix incorrect dependencies.


-----------
v4.1.0beta1
-----------

[jan] Add Ukrainian translation (Andriy Kopystyansky <anri@polynet.lviv.ua>).
[mjr] Add support for ActiveSync synchronization of notes.


------
v4.0.3
------

[jan] Update Slovak translation (Jozef Sudolský <jozef.sudolsky@elbia.sk>).
[jan] Update French translation (Paul De Vlieger
      <paul.de_vlieger@moniut.univ-bpclermont.fr>).
[jan] Fix exporting bodies of encrypted notes (Bug #11960).


------
v4.0.2
------

[jan] Update Basque translation (Ibon Igartua <ibon.igartua@ehu.es>).
[mjr] Fix importing notepads (Bug #11849).
[jan] Use default Kolab folder for default notepad preference.
[jan] Mark Kolab folder as default when changing default notepad preference.


------
v4.0.1
------

[jan] Use Kolab modification and creation dates in the UI (Bug #11591).
[jan] Use modification and creation dates from backend if available (Request
      #11591).
[jan] Use encoded UIDs as IDs in Kolab driver.


------
v4.0.0
------

[jan] Update Polish translation (Krzysztof Kozera <krzysztof113@o2.pl>).
[jan] Update Dutch translation (Arjen de Korte <arjen+horde@de-korte.org>).


---------
v4.0.0RC1
---------

[jan] Fix client-side sorting by date.
[jan] Fix exporting (Bug #11507).


-----------
v4.0.0beta1
-----------

[gwr] Always mark the initial share as default notepad.
[gwr] Mark the initial default share as such with the Kolab backend.
[gwr] Fixed deletion of shares with the Kolab driver.
[jan] Fix display of note title (Bug #11275).


----------
v3.0.7-git
----------

[jan] Update Turkish translation (İstanbul Technical University).


------
v3.0.6
------

[jan] Update Swedish translation (Per Olof Ljungmark <peo@bsdlabs.com>).
[jan] Update Italian translation (Massimo Malabotta <mmalabotta@units.it>).
[jan] Update Hungarian translation (Zoltán Németh <nemeth.zoltan@etit.hu>).


------
v3.0.5
------

[mjr] Add missing getChanges API method.


------
v3.0.4
------

[jan] Use locale based sorting.
[jan] Fix remembering the expansion state of the notepads panel (Bug #10797).
[jan] Update Japanese translation (Hiromi Kimura <hiromi@tac.tsukuba.ac.jp>).


------
v3.0.3
------

[jan] Add Estonian translation (Alar Sing <alar.sing@err.ee>).
[gwr] Avoid including the owner name into the default share (Kolab backend).
[mjr] Fix removeUserData implementation.


------
v3.0.2
------

[jan] Don't load all shares with requested permissions from the backend if
      $conf['share']['hidden'] is enabled.


------
v3.0.1
------

[jan] Fix accidental encryption of notes (Bug #9981).
[jan] Fix color picker for categories in the note list header (Bug #9980).


----
v3.0
----

[jan] Fix generating tooltip previews of encrypted notes.
[jan] Fix application-specific permission checks (Bug #9786).
[mjr] Datatree share to SQL upgrade script refactored for Horde 4.
[mjr] Default sorting criteria by creation date (Bug #7332).
[jan] Move all executable scripts to bin/ and prefix with mnemo-.


--------
v3.0-RC1
--------

[jan] Update installation and upgrade instructions.
[gwr] Adapted the Kolab driver to Horde 4.


----------
v3.0-BETA1
----------

[jan] Fix PDF generation.
[jan] Fix encrypting and decrypting of notes.


-----------
v3.0-ALPHA1
-----------

[jan] Provide default configuration files instead of .dist versions.
[jan] Default notepads no longer have the user name as the ID.
[jan] Create a default notepad if the user doesn't own any yet.
[jan] Try to create ISO-8859-1 encoded PDFs if this matches the user's language.
[jan] Add script to convert notes to UTF-8 in the backend.


------
v2.2.5
------

[jan] Add upgrade scripts for next-generation SQL share driver.


------
v2.2.4
------

[mjr] Do not remove history entries when removing user data (Bug #8755).


------
v2.2.3
------

[jan] Add and fix Oracle SQL scripts.
[jan] Add Croatian translation (Matej Vela <matej.vela@carnet.hr>).


------
v2.2.2
------

[mms] Upgrade prototype.js to v1.6.1.
[jan] Fix synchronization with output compression enabled (Bug #7769).
[jan] Add passphrase confirmation field (Bug #7379).
[cjh] Work around BC break with Horde versions before 3.2 (Bug #7820).
[cjh] Add URL access to notes by "starts-with" search on the note title.
[cjh] Add hooks for altering the displayed note body and showing help text next
      to the note entry field.
[cjh] Explicitly load DB library (Bug #7648).
[jan] Fix "replace" API method (Alfonso Marín Marín <almarin@um.es>, Bug #7436).
[cjh] Add a PostgreSQL-specific upgrade script.
[jan] Change group field in shares table to work with LDAP groups (Bug #6883).
[jan] Fix user name conversion with user hooks in the notepad panel (Bug #7366).


------
v2.2.1
------

[jan] Log moving of memos in the history backend (Bug #3207).
[jan] Add Basque translation (Euskal Herriko Unibertsitatea EHU/UPV
      <xabier.arrieta@ehu.es>).
[mjr] Remove user permissions on all shares when deleting a user.
[mjr] Fix issue with removeUserData api that caused the deleted user's task list
      to not be deleted (Bug #6969).


----
v2.2
----

[mjr] Fix issue with removeUserData api that caused the deleted user's task list
      to not be deleted (Bug #6969).
[cjh] Improve resource usage in datatree_to_sql share migration script
      (Bug #6740).
[jan] Fix exporting and synchronization of encrypted notes.


--------
v2.2-RC3
--------

[cjh] Apply fix for http://dev.rubyonrails.org/ticket/11473 to prototype.js
      (Request #6590).
[cjh] Add an upgrade script for the new SQL share driver (Request #6109).
[gwr] Added History support in the Kolab driver.
[cjh] Avoid errors when trying to export an empty notepad (Bug #6409).
[cjh] Show who created or made the last change to a note along with the date
      (Request #6305).
[jan] Add Turkish translation (METU <horde-tr@metu.edu.tr>).


--------
v2.2-RC2
--------

[jan] Fix saving the password when creating new notes.


--------
v2.2-RC2
--------

[jan] SECURITY: Fix privilege escalation in Horde API.
[cjh] SECURITY: Fix missing ownership validation on share changes.
[cjh] Add the ability to filter the list of notepads in the panel.
[cjh] New share management UI that doesn't require JavaScript.
[cjh] Add support for split read/write databases (<duck@obala.net>,
      Request #5936).


--------
v2.2-RC1
--------

[jan] Implement WebDAV DELETE.
[cjh] Add quick links to the sidebar block for adding notes to a specific
      notepad (Gunnar Wrobel <p@rdus.de>, Request #5716).
[cjh] Fix generation of UIDs with PHP 5.2+.


----------
v2.2-ALPHA
----------

[cjh] Show tooltips in the summary block, and restrict tooltips to 20 lines
      (Request #3443).
[cjh] Optionally show a note's notepad in the list view (Request #2317).
[cjh] Add quick (inline) note searching.
[cjh] Add the ability to save a note as a PDF.
[jan] Add support for encrypted notes.
[cjh] Move notepad selection/deselection to a collapsible panel.
[mas] Conform to WCAG 1.0 Priority 2/Section 508 accessibility guidelines.
      (Request #4080)
[cjh] Notes search should be either title or full text (Request #4277).
[cjh] Make the note edit view the full page width.


------
v2.1.2
------

[jan] SECURITY: Fix privilege escalation in Horde API.
[cjh] SECURITY: Fix missing ownership validation on share changes.


------
v2.1.1
------

[jan] Show error message if imported file didn't contain notes.
[jan] Add Slovenian translation (Duck <duck@obala.net>).
[jan] Add categories from imported contacts to the user's categories.
[jan] Show personal notepad by default with disabled preferences (Bug #4078).


----
v2.1
----

[jan] Fix portal block if used with Kolab driver (tokoe@kde.org, Bug #2735).
[jan] Add Russian translation (Alexey Zakharov <baber@mosga.net>).
[ben] Better support for MS-SQL.


--------
v2.1-RC1
--------

[jan] Confirm note deletions (Request #1156).
[jan] Add CLI script to import vNote data.
[cjh] Add support for dynamic re-sorting of the note list, including saving
      the sort preferences on any changes.
[jan] Show character count next to notes.
[mas] Change any output of <b> and <i> tags to <strong> and <em> for better
      accessibility support.
[jan] Add permissions to restrict number of notes.


------
v2.0.3
------

[cjh] Close several XSS vulnerabilities with note and notepad data.


------
v2.0.2
------

[jan] Allow to import more than one note from vNote data at once.


----------
v2.0.2-RC1
----------

[cjh] Fix resetting categories to Unfiled (Bug #2018).
[cjh] Use bind variables in SQL driver, clean up required parameters
      (selsky@columbia.edu, Bug #1791).
[cjh] Add a PostgreSQL upgrade script (Bug #1779).
[cjh] Better error handling when deleting shares that don't exist (Bug #1754).
[jan] Add Japanese translation (Hiromi Kimura <hiromi@tac.tsukuba.ac.jp>).
[jan] Add shortcut icon (favicon.ico).


------
v2.0.1
------

[jan] Fix print view.
[jan] Fix print button.


----
v2.0
----

[cjh] UIDs need to be stored in the History system with a mnemo: prefix and
      with the notepad so as not to confuse different instances of the
      same note (if two users both have a note on their seperate notepads,
      they should have unique histories for that note).
[cjh] Don't throw a fatal error if an empty share name is submitted
      (Bug #1000).


--------
v2.0-RC3
--------

[cjh] Add My Notepads menu entry.


--------
v2.0-RC2
--------

[jan] Add Czech translation (Pavel Chytil <pavel@chytil.tk>).
[jan] Add Latvian translation (Janis Eisaks <jancs@dv.lv>).


--------
v2.0-RC1
--------

[jan] Tweak layout of the summary block.


---------
v2.0-BETA
---------

[jan] Add Polish translation (Mateusz Kaminski <matipl@ds.pg.gda.pl>).
[jan] Add special black-on-white styles for message printing.
[jan] Add access keys.
[cjh] Add Kolab drivers (Stuart Bingë <s.binge@codefusion.co.za>).


----------
v2.0-ALPHA
----------

[cjh] GUIDs now only contain mnemo: and the note ID - sharename is not needed.
[cjh] Note IDs are now 32-character unique strings, to be useable as GUIDs.
      The SQL table definition has changed; conversion scripts are in scripts/.
[cjh] The notes/ API now implements the modern methods required for SyncML and
      other syncing efforts.
[cjh] Make sure there is a view link for empty notes.
[cjh] Add a Delete link from the note edit screen.
[cjh] Make sure that the correct categories for a note's current notepad
      are always used.
[cjh] Change how memos are stored in the SQL driver.
      scripts/create_sequence.php will update an existing database with no
      loss of data.
[cjh] Display the Creation and Last-Modified dates in the note view.
[cjh] Track addition, modification, and deletion of notes
      with the Horde History:: API.
[cjh] Add import of vNotes.
[cjh] Show the full memo body in a tooltip.
[cjh] Add a preference for the default category for notes
      (Brian Keifer <brian@valinor.net>).
[jan] Add UTF-8 support and charset parameter for backend drivers.
[jan] Only show selected note categories on the summary screen
      (Brian Keifer <brian@valinor.net>).
[cjh] Much more comprehensive permissions checking, and support for
      guest access.
[cjh] Use the global shares editing page for changing/assigning share
      permissions.
[mac] Allow importing onto any available Notepad.
[mac] Add shared notepads.


------
v1.1.4
------

[jan] Close XSS when setting the parent frame's page title by javascript (cjh).


------
v1.1.3
------

[jan] Add Polish translation (Mateusz Kaminski <matipl@ds.pg.gda.pl>).


------
v1.1.2
------

[jan] Make memos without description accessible from the memo list.


------
v1.1.1
------

[jan] Add Italian translation (Sergio G. Caredda <scaredda@tiscali.it>).
[jan] Add Romanian translation (Eugen Hoanca <eugenh@urban-grafx.ro>,
      Marius Dragulescu <mariusd@urban-grafx.ro>).


----
v1.1
----

[jan] Rename Memos to Notes (mac).
[jan] Add print memo button (mac).
[jan] Show current category color in category color options screen
      (Jan Kuipers <jrkuipers@lauwerscollege.nl>).
[jan] Add ability to create/remove categories (mac).
[jan] Add user preferences for the color of different categories (mac).
[jan] Add Mnemo::addParameter().
[jan] Add Greek translation (Stefanos I. Dimitriou <sdimitri@teiath.gr>).
[jan] Add Slovak translation (Ivan Noris <vix@vazka.sk>).
[jan] Add Norwegian Bokmaal translation (Torstein S. Hansen <huleboer@techbee.no>).
[jan] Add Bulgarian translation (Miroslav Pendev <miro@cybershade.us>).
[jan] Add Lithuanian translation (Darius Matuliauskas <darius@lnk.lt>).
[jan] Replace <?= with <?php echo to remove the short_open_tags requirement (cjh).
[jan] Add Danish translation (Martin List-Petersen <martin@list-petersen.dk>).


----
v1.0
----

[jan] Add Hungarian translation (Laszlo L. Tornoci <torlasz@xenia.sote.hu>).
[jan] Add Simplified Chinese translation (Peter Wang <whw@oulink.net>).
[jan] Add Czech translation (Pavel Chytil <pavel@chytil.tk>).
[jan] Add Brazilian Portuguese translation (Antonio Dias <accdias-horde-i18n@sst.com.br>).
[jan] Add Dutch translation (Jan Kuipers <jrkuipers@lauwerscollege.nl>).
[jan] Add French translation (Thierry Thomas <thierry@pompo.net>).
[jan] Add Finnish translation (Leena Heino <liinu@uta.fi>).
[jan] Add Norwegian Nynorsk translation (Per-Stian Vatne <psv@orsta.org>).
[jan] Add Traditional Chinese translation (Chih-Wei Yeh <cwyeh@ccca.nctu.edu.tw>).
[jan] Add Swedish translation (Andreas Dahlén <andreas@dahlen.ws>).
[jan] Add Spanish translation (Raul Alvarez Venegas <rav@tecoman.ucol.mx>).
[jan] Add German translation.
[jan] Add Portuguese translation (Nuno Loureiro <nuno@co.eth.pt>).
[cjh] Initial Mnemo version, based on Nag.
